﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel.Activation;
using System.ServiceModel;

namespace ReflectionIT.Web.Wcf {

    public class CustomHostFactory : ServiceHostFactory {
        protected override ServiceHost CreateServiceHost(Type serviceType, Uri[] baseAddresses) {
            CustomHost customServiceHost = new CustomHost(serviceType, baseAddresses.Length > 1 ? baseAddresses[1] : baseAddresses[0]);
            return customServiceHost;
        }
    }

    public class CustomHost : ServiceHost {
        public CustomHost(Type serviceType, params Uri[] baseAddresses)
            : base(serviceType, baseAddresses) { }
        protected override void ApplyConfiguration() {
            base.ApplyConfiguration();
        }
    }
}


